org.eclipse.net4j.util

## Class UUIDGenerator

- java.lang.Object
- - org.eclipse.net4j.util.UUIDGenerator

-     public final class UUIDGenerator
      extends java.lang.Object

  Generates 16 byte UUID values and can encode them to Strings, decode from Strings respectively.
  Since:
    3.2
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static UUIDGenerator` | `DEFAULT`
    `static int` | `NODE_ADDRESS_BYTES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UUIDGenerator()`
    `UUIDGenerator(byte[] nodeAddress)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `decode(java.lang.String string)`
    `java.lang.String` | `encode(byte[] uuid)`
    `java.lang.String` | `generate()`
    `void` | `generate(byte[] uuid)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NODE_ADDRESS_BYTES

          public static final int NODE_ADDRESS_BYTES

      See Also:
        Constant Field Values

    - #### DEFAULT

          public static final UUIDGenerator DEFAULT

  - ### Constructor Detail

    - #### UUIDGenerator

          public UUIDGenerator(byte[] nodeAddress)

    - #### UUIDGenerator

          public UUIDGenerator()

  - ### Method Detail

    - #### generate

          public java.lang.String generate()

    - #### generate

          public void generate(byte[] uuid)

    - #### encode

          public java.lang.String encode(byte[] uuid)

    - #### decode

          public byte[] decode(java.lang.String string)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html